<?php

/**
 * @file
 * Contains Views alter for the TextMaster Translator module.
 */

/**
 * Implements hook_views_data_alter().
 */
function tmgmt_textmaster_views_data_alter(&$data) {
  // Override tmgmt handler for this field.
  $data['tmgmt_job']['operations']['field']['handler'] = 'TmgmtTextmasterHandlerFieldTmgmtJobOperations';
  // Add new field for TextMaster project price.
  $data['tmgmt_job']['price'] = [
    'title' => t('Project Price'),
    'help' => t('Displays a TextMaster price of the job.'),
    'real field' => 'settings',
    'field' => [
      'handler' => 'TmgmtTextmasterHandlerFieldTmgmtTextmasterPrice',
    ],
  ];
  // Override tmgmt handler for this field.
  $data['tmgmt_job_item']['operations']['field']['handler'] = 'TmgmtTextmasterHandlerFieldTmgmtJobItemOperations';
}

/**
 * Implements hook_views_pre_view().
 */
function tmgmt_textmaster_views_pre_view(&$view, &$display_id, &$args) {
  // Add 'Project Price' field.
  if ($view->name == 'tmgmt_ui_job_overview') {
    $view->add_item($view->current_display, 'field', 'tmgmt_job', 'price', [
      'label' => 'Project Price',
      'element_class' => 'price',
      'element_default_classes' => 0,
    ], 'price');

  }
}
